import { EventEmitter } from '../../stencil-public-runtime';
export declare class Switch {
    checked: boolean;
    name: string;
    disabled: boolean;
    value: string;
    internalChecked: boolean;
    internals: ElementInternals;
    el: HTMLIfxSwitchElement;
    ifxChange: EventEmitter<boolean>;
    isChecked(): Promise<boolean>;
    componentWillLoad(): void;
    toggleLabelGap(): void;
    componentDidLoad(): Promise<void>;
    valueChanged(newValue: boolean, oldValue: boolean): void;
    toggleSwitch(): void;
    handleKeyDown(event: KeyboardEvent): void;
    /**
     * Callback for form association.
     * Called whenever the form is reset.
     */
    render(): any;
}
